# Interface QueryDefinition

Defines the parameters necessary to perform a query.

interface QueryDefinition {
options?: QueryOptions;
source: FeatureSource;
where: string;
}

#####
Index

### Properties

options?
source
where

##
Properties

### `Optional` options

options?: QueryOptions

Additional options that affect the query.

### source

source: FeatureSource

The source to query.

### where

where: string

An SQL expression to match against, e.g. "lastName='Smith'".